Subject: bug#9748: configure.ac:914: error ?

From: FuGangqiang <[email-masked]>
Date: Fri, 14 Oct 2011 06:52:14 +0800 (CST)

Hi,all
After I git clone git://git.sv.gnu.org/guile.git, 
I cd the guile directory, and run autogen.sh ,and got configure.ac:914: error

===> Start <===
$ sh autogen.sh 
autoconf (GNU Autoconf) 2.68Copyright (C) 2010 Free Software Foundation, Inc.License GPLv3+/Autoconf: GNU GPL version 3 or later<http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>This is free software: you are free to change and redistribute it.There is NO WARRANTY, to the extent permitted by law.
Written by David J. MacKenzie and Akim Demaille.
automake (GNU automake) 1.11.1Copyright (C) 2009 Free Software Foundation, Inc.License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html>This is free software: you are free to change and redistribute it.There is NO WARRANTY, to the extent permitted by law.
Written by Tom Tromey <[email-masked]>       and Alexandre Duret-Lutz <[email-masked]>.
libtool (GNU libtool) 2.4Written by Gordon Matzigkeit <[email-masked]>, 1996
Copyright (C) 2010 Free Software Foundation, Inc.This is free software; see the source for copying conditions.  There is NOwarranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
m4 (GNU M4) 1.4.16Copyright (C) 2011 Free Software Foundation, Inc.License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.This is free software: you are free to change and redistribute it.There is NO WARRANTY, to the extent permitted by law.
Written by Rene' Seindal.
flex 2.5.35
autoreconf: Entering directory `.'autoreconf: configure.ac: not using Gettextautoreconf: running: aclocal --force -I m4configure.ac:887: warning: macro `AM_GNU_GETTEXT' not found in libraryautoreconf: configure.ac: tracingautoreconf: running: libtoolize --install --copy --forcelibtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `build-aux'.libtoolize: copying file `build-aux/config.guess'libtoolize: copying file `build-aux/config.sub'libtoolize: copying file `build-aux/install-sh'libtoolize: copying file `build-aux/ltmain.sh'libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.libtoolize: copying file `m4/libtool.m4'libtoolize: copying file `m4/ltoptions.m4'libtoolize: copying file `m4/ltsugar.m4'libtoolize: copying file `m4/ltversion.m4'libtoolize: copying file `m4/lt~obsolete.m4'configure.ac:887: warning: macro `AM_GNU_GETTEXT' not found in libraryautoreconf: running: /usr/bin/autoconf --forceconfigure.ac:914: error: possibly undefined macro: AM_GNU_GETTEXT      If this token and others are legitimate, please use m4_pattern_allow.      See the Autoconf documentation.autoreconf: /usr/bin/autoconf failed with exit status: 1
===> End <===